Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::mutex Class Reference

`#include <Foundation.h>`

Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::mutex:
[legend]
Collaboration diagram for Alembic::Util::ALEMBIC_VERSION_NS::mutex:
[legend]

## Public Member Functions
| mutex ()
| ~mutex ()
void | lock ()
void | unlock ()

## Detailed Description

Definition at line 249 of file Foundation.h.

## Constructor & Destructor Documentation

## ◆ mutex()

Alembic::Util::ALEMBIC_VERSION_NS::mutex::mutex | ( |  | ) |
| inline

Definition at line 252 of file Foundation.h.

## ◆ ~mutex()

Alembic::Util::ALEMBIC_VERSION_NS::mutex::~mutex | ( |  | ) |
| inline

Definition at line 257 of file Foundation.h.

## Member Function Documentation

## ◆ lock()

void Alembic::Util::ALEMBIC_VERSION_NS::mutex::lock | ( |  | ) |
| inline

Definition at line 262 of file Foundation.h.

## ◆ unlock()

void Alembic::Util::ALEMBIC_VERSION_NS::mutex::unlock | ( |  | ) |
| inline

Definition at line 267 of file Foundation.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Util/Foundation.h